package com.perforce.p4simulink.workspace;

/**
 * Copyright (C) 2014 Perforce Software. All rights reserved.
 *
 * Please see LICENSE.txt in top-level folder of this distribution.
 */

import com.mathworks.cmlink.api.FileState;
import com.mathworks.cmlink.api.IntegerRevision;
import com.mathworks.cmlink.api.LocalStatus;
import com.mathworks.cmlink.api.Revision;
import com.mathworks.cmlink.api.StringRevision;

public class P4FileState implements FileState {

	Revision revision;
	LocalStatus localStatus;
	boolean hasLock;

	public P4FileState(LocalStatus localStatus, int rev) {
		this.localStatus = localStatus;
		this.revision = new IntegerRevision(rev);
	}

	public P4FileState(LocalStatus localStatus, int haveRev, int headRev) {
		this.localStatus = localStatus;
		this.revision = new StringRevision(haveRev + "/" + headRev);
	}

	@Override
	public Revision getRevision() {
		return revision;
	}

	@Override
	public LocalStatus getLocalStatus() {
		return localStatus;
	}

	@Override
	public boolean hasLock() {
		return hasLock;
	}

	@Override
	public String toString() {
		return "Revision: " + revision.toString() + "\n" + "LocalStatus: "
				+ localStatus.toString() + "\n" + "HasLock: " + hasLock + "\n";
	}
}
